const idk = require("./dist/index")

const db = new idk.Database({
    path: "uwu.sqlite",
    sanitize: true,
    length: 10,
    port: 8000
})

db.createTable("lol")
.addColumns(
    [
        new idk.Column()
        .setName("id")
        .setType("TEXT")
        .setPrimary(true),
        new idk.Column()
        .setName("json")
        .setType("JSON")
        .setDefault({}),
        new idk.Column()
        .setName("bank")
        .setType("INTEGER")
        .setDefault(1)
    ]
)

db.createTable("idk")
.addColumns(
    [
        new idk.Column()
        .setName("id")
        .setType("TEXT")
        .setPrimary(true),
        new idk.Column()
        .setType("INTEGER")
        .setDefault(0)
        .setName("swords")
    ]
)

db.on("ready", () => {
    console.log("Ready")
    console.log(
        db.get("lol", {
            where: {
                column: "id",
                equals: "12345"
            }
        })
    )

})

db.connect()

const express = require("express")
const { default: axios } = require("axios")
const app = express()

app.use(express.static("./docs"))

app.listen(3000, () => console.log("tmr"))